close all
clear all
datdir = 'c:\MyFiles\Teach\Networks\Data\';
dattxt = 'BCpAug89difft';
pridir = 'c:\MyFiles\Teach\Networks\Figures\';
pritxt = dattxt;
tittxt = 'Time between packet arrivals';
n = 10000;
nwin = 500;
printser = 0;
printaut = 1;
alpha = 0.05;
ts = 1;
tmax = 80;

zalpha = norminv(1-alpha/2);
eval(['load ',datdir,dattxt,'.dat'])
eval(['xV = ',dattxt,';'])
xV = xV(end-n+1:end);
figure(1)
clf
paperfigure;
plot(xV)
hold on
xlabel('t')
ylabel('x(t)')
title(sprintf('%s',tittxt))
if printser
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'ser.jpg'])
end

iV = [round(n/2)+1:round(n/2)+nwin]';
figure(2)
clf
paperfigure;
plot(iV,xV(iV),'.-')
hold on
xlabel('t')
ylabel('x(t)')
title(sprintf('%s small data window',tittxt))
if printser
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'serseg.jpg'])
end

[acM] = autocor(xV, ts, tmax);
figure(3)
clf
paperfigure;
plot(acM(2:end,1),acM(2:end,2),'.-')
hold on
plot([0 tmax],[0 0],'k')
plot([0 tmax],(zalpha/sqrt(n))*[1 1],'--c')
plot([0 tmax],-(zalpha/sqrt(n))*[1 1],'--c')
ax = axis;
axis([0 tmax ax(3) ax(4)])
xlabel('\tau')
ylabel('r(\tau)')
title(sprintf('%s, Autocorrelation',tittxt));

if printaut 
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'aut.jpg'])
end
%% Postmanteau test
figure(2)
clf
paperfigure;
[hV,pV,QV] = portmanteauLB(xV,tmax,alpha,tittxt);
hold on
ax = axis;
plot([ax(1) ax(2)],alpha*[1 1],'--c') 
if printaut 
%    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'portmanteau.jpg'])
end
