% Plot series of a world financial index, check stationarity 
clear all
close all
datdir = 'C:\MyFiles\Teach\Networks\Data\';
dattxt = 'WorldMarketsLong';
pridir = 'C:\MyFiles\Teach\Networks\Figures\';
pritxt = 'USAindx';
n = 300;
indx = 1;
win = 100;
alpha = 0.01; % Significance level
toplot = 0;
toplothist = 0;
toprint = 1;

txtM = str2mat('USA','Australia','UnitedKingdom','Germany','Greece',...
    'Malaysia','SouthAfrica','Croatia');
symbV = str2mat('''.-k''','''.--k''','''.-.k''','''.:k''','''.-c''',...
    '''.--c''','''.-.c''','''.:c''','''.-r''','''.--r''','''.-.r''','''.:r''');
%% Load the time series and plot it
eval(['yM=load(''',datdir,dattxt,'.dat'');'])
yV = yM(end-n+1:end,indx);
figure(1)
clf
paperfigure;
% set(gcf,'Position',[677 673 1000 300]);
plot(yV)
hold on
xlabel('day t')
ylabel('y(t)')
title(sprintf('%s index',deblank(txtM(indx,:))))
if toprint
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,deblank(txtM(indx,:)),'ser.jpg'])
end

xV = diff(yV);
figure(2)
clf
paperfigure;
plot(xV)
hold on
xlabel('day t')
ylabel('x(t)')
title(sprintf('%s index, first differences',deblank(txtM(indx,:))))
if toprint
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,deblank(txtM(indx,:)),'fdiff.jpg'])
end

zV = diff(log(yV));
figure(3)
clf
paperfigure;
plot(zV)
hold on
xlabel('day t')
ylabel('x(t)')
title(sprintf('%s index, returns',deblank(txtM(indx,:))))
if toprint
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,deblank(txtM(indx,:)),'returns.jpg'])
end





