% Compute and plot cross-mutual information of two world financial indices, 
clear all
close all
datdir = 'C:\MyFiles\Teach\Networks\Data\';
dattxt = 'WorldMarketsLong';
pridir = 'C:\MyFiles\Teach\Networks\Figures\';
n = 1305;
indxV = [1 3]';
tmax = 10;
alpha = 0.01; % Significance level
toprint = 1;

zalpha = norminv(1-alpha/2);
txtM = str2mat('USA','Australia','UnitedKingdom','Germany','Greece',...
    'Malaysia','SouthAfrica','Croatia');
%symbV = str2mat('''.-k''','''.--k''','''.-.k''','''.:k''','''.-c''',...
%    '''.--c''','''.-.c''','''.:c''','''.-r''','''.--r''','''.-.r''','''.:r''');
symbV = str2mat('''-k''','''-r''');
nindx = length(indxV);
tittxt = sprintf('%s - %s',deblank(txtM(indxV(1),:)),deblank(txtM(indxV(2),:)));
pritxt = sprintf('%s%s',deblank(txtM(indxV(1),:)),deblank(txtM(indxV(2),:)));
tauV = [-tmax:tmax]';

%% Load the two time series and plot them
eval(['yM=load(''',datdir,dattxt,'.dat'');'])
yM = yM(end-n+1:end,indxV);
xM = diff(log(yM));
%% Cross-mutual information for Returns
mutM = mutualxyts(xM(:,1),xM(:,2),tmax);

figure(1)
clf
paperfigure;
plot(mutM(:,1),mutM(:,2),'.-')
hold on
ax = axis;
axis([-tmax tmax ax(3) ax(4)])
xlabel('\tau')
ylabel('I_{XY}(\tau)')
title(sprintf('%s returns, Cross mutual information',tittxt));

if toprint 
    set(gcf,'PaperPosition',[0 0 20 10])
    eval(['print -djpeg90 ',pridir,pritxt,'returnscrossmut.jpg'])
end
