close all
clear all
datdir = 'c:\MyFiles\Teach\Networks\Data\';
dattxt = 'GPIC2001_2005residual';
pridir = 'c:\MyFiles\Teach\Networks\Figures\';
pritxt = dattxt;
tittxt = 'GIPC, Jan 2001 - Aug 2005';
printmut = 1;
printd2 = 1;
ts = 1;
tmax = 20;

eval(['load ',datdir,dattxt,'.dat'])
eval(['xV = ',dattxt,';'])
n = length(xV);

%% Mutual information
[mutM] = mutual(xV,tmax);
figure(1)
clf
paperfigure;
plot(mutM(1:end,1),mutM(1:end,2),'.-')
hold on
plot([0 tmax],[0 0],'k')
ax = axis;
axis([0 tmax ax(3) ax(4)])
xlabel('\tau')
ylabel('I(\tau)')
title(sprintf('%s, Mutual information',tittxt));

if printmut 
%    set(gcf,'PaperPosition',[0 0 24 8])
    set(gcf,'PaperPosition',[0 0 20 10])
    eval(['print -djpeg90 ',pridir,pritxt,'mut.jpg'])
end

%% D2 plot
figure(2)
clf
paperfigure;
plot(xV(1:end-1),xV(2:end),'.','Markersize',18)
xlabel('x(t-1)')
ylabel('x(t)')
title(sprintf('%s, scatter diagram',tittxt));

if printd2 
    eval(['print -djpeg90 ',pridir,pritxt,'d2.jpg'])
end


