datdir = 'c:\MyFiles\Teach\Networks\Data\';
dattxt = 'GPIConsume2001_2005';
startyear = 2001;
endyear = 2005;
per = 12;
T =5;
pridir = 'c:\MyFiles\Teach\Networks\Figures\';
toprint = 0;

eval(['load ',datdir,dattxt,'.dat'])
eval(['xM = ',dattxt,';'])

[n,m] = size(xM);

datenV = datenum(xM(:,1),xM(:,2),1); 
% General Index of Comsumer Prices
figure(1)
clf
paperfigure;
plot(datenV,xM(:,3),'k')
hold on
plot(datenV,xM(:,3),'k.','markersize',10)
datetick('x','yy')
xlabel('years')
ylabel('General Index of Comsumer Prices')
title(['General Index of Comsumer Prices, period Jan ',int2str(startyear),' - Aug ',int2str(endyear)])
iV = find(xM(:,2)==1);
ax = axis;
for i=1:length(iV)
    plot(datenV(iV(i))*[1 1],[ax(3) xM(iV(i),3)],'c--')
end

figure(2)
clf
paperfigure;
plot(datenV,xM(:,3),'k')
hold on
plot(datenV,xM(:,3),'k.','markersize',10)
datetick('x','yy')
xlabel('years')
ylabel('General Index of Comsumer Prices')
title(['General Index of Comsumer Prices, period Jan ',int2str(startyear),' - Aug ',int2str(endyear)])
iV = find(xM(:,2)==1);
ax = axis;
for i=1:length(iV)
    plot(datenV(iV(i))*[1 1],[ax(3) xM(iV(i),3)],'c--')
end
pV = polyfit([1:n]',xM(:,3),1);
yV = polyval(pV,[1:n]');
plot(datenV,yV,'c')

zV = xM(:,3)-yV;
figure(3)
clf
paperfigure;
plot(datenV,zV,'k')
hold on
plot(datenV,zV,'k.','markersize',10)
datetick('x','yy')
xlabel('years')
ylabel('detrended GICP')
title(['General Index of Comsumer Prices, linear trend is subtracted'])
ax = axis;
for i=1:length(iV)
    plot(datenV(iV(i))*[1 1],[ax(3) zV(iV(i))],'c--')
end
monV = NaN*ones(per,1);
xperV = NaN*ones(n,1);
for j=1:per
    jV = find(xM(:,2)==j);
    monV(j) = mean(zV(jV));
    xperV(j:per:n) = monV(j)*ones(length(jV),1);
end

figure(4)
clf
paperfigure;
plot(datenV,xperV,'k')
hold on
plot(datenV,xperV,'k.','markersize',10)
datetick('x','yy')
xlabel('years')
ylabel('year cycle of GICP')
title(['General Index of Comsumer Prices, year cycle'])
axis([ax])
for i=1:length(iV)
    plot(datenV(iV(i))*[1 1],[ax(3) xperV(iV(i))],'c--')
end

xV = zV-xperV;
figure(5)
clf
paperfigure;
plot(datenV,xV,'k')
hold on
plot(datenV,xV,'k.','markersize',10)
datetick('x','yy')
xlabel('years')
ylabel('detrended and deseasoned GICP')
title(['General Index of Comsumer Prices, trend and period comp. subtracted'])
axis([ax])
for i=1:length(iV)
    plot(datenV(iV(i))*[1 1],[ax(3) xV(iV(i))],'c--')
end

figure(2)
xpreV=NaN*ones(T,1);
for i=1:T
    yt = polyval(pV,n+i);
    j = xM(n,2)+i;
    if j>per
        j=mod(j,per);
    end
    xpreV(i) = yt+monV(j);
end
plot(datenum(xM(n,1),xM(n,2)+[1:T],1),xpreV,'ro')

if toprint 
    for i=1:5
        figure(i)
        eval(['print -djpeg90 ',pridir,dattxt,'serGICP_',int2str(i),'.jpg'])
    end
end
