datdir = 'C:\MyFiles\Teach\Networks\Data\';
dattxt = 'Ecoliv4Build6Palsson03';
pridir = 'C:\MyFiles\Teach\Networks\Figures\';
toplot = 1;
toplothist = 1;
toprint = 1;

eval(['[xM,txtM,rawM]=xlsread(''',datdir,dattxt,'.xls'');'])
geneC = txtM(2:end,1);
experC = txtM(1,2:end);
[m,n]=size(xM);
count = 0;
rM = NaN*ones(m,m);
statM = NaN*ones(m*(m-1)/2,4); % col 1,2->t-stat,p-value, col 2,3->z-stat,p-value
if toplothist
    for i=1:m
        figure(i)
        clf
        paperfigure;
        histfit(xM(i,:))
        title([geneC{i}])
        if toprint
            eval(['print -djpeg90 ',pridir,dattxt,'hist',int2str(i),'.jpg'])
        end
    end
end
for i=1:m-1
    for j=i+1:m
        tmpM = corrcoef(xM(i,:),xM(j,:));
        rM(i,j)=tmpM(1,2);
        count = count+1;
        statM(count,1) = sqrt(n-2)*rM(i,j)/sqrt(1-rM(i,j).^2);
        statM(count,2) = 2*(1-tcdf(abs(statM(count,1)),n-2));
        statM(count,3) = sqrt(n-3)*0.5*log((1+rM(i,j))/(1-rM(i,j)));
        statM(count,4) = 2*(1-normcdf(abs(statM(count,3))));
        if toplot
            figure(count)
            clf
            paperfigure;
            plot(xM(i,:),xM(j,:),'.','Markersize',18)
            xlabel(geneC{i})
            ylabel(geneC{j})
            title(sprintf('n=%d r_{%d,%d}=%1.3f',n,i,j,rM(i,j)))
            if toprint
                eval(['print -djpeg90 ',pridir,dattxt,'rho',int2str(count),'.jpg'])
            end
        end
    end
end
% figno = gcf+1;
% h = plotcolormap(xM,dattxt,figno);
% figno = gcf+1;
% xV = reshape(xM',m*n,1);
% figure(figno)
% clf
% pserlarge(xV, dattxt, m, 'c', 1)
statM   



