close all
clear all
pridir = 'c:\MyFiles\Teach\Networks\Figures\';
pritxt = 'whitenoise';
tittxt = 'White noise';
n = 300;
printser = 1;
printaut = 1;
alpha = 0.05;
ts = 1;
tmax = 20;
randn('state',0);

zalpha = norminv(1-alpha/2);
zV = randn(n,1);
xV = cumsum(zV);
figure(1)
clf
paperfigure;
plot(xV)
hold on
xlabel('t')
ylabel('x(t)')
title(sprintf('%s',tittxt))
if printser
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'ser.jpg'])
end

[acM] = autocor(xV, ts, tmax);
figure(2)
clf
paperfigure;
plot(acM(2:end,1),acM(2:end,2),'.-')
hold on
plot([0 tmax],[0 0],'k')
plot([0 tmax],(zalpha/sqrt(n))*[1 1],'--c')
plot([0 tmax],-(zalpha/sqrt(n))*[1 1],'--c')
ax = axis;
axis([0 tmax ax(3) ax(4)])
xlabel('\tau')
ylabel('r(\tau)')
title(sprintf('%s, Autocorrelation',tittxt));

if printaut 
    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'aut.jpg'])
end
%% Postmanteau test
figure(3)
clf
paperfigure;
[hV,pV,QV] = portmanteauLB(xV,tmax,alpha,tittxt);
hold on
ax = axis;
plot([ax(1) ax(2)],alpha*[1 1],'--c') 
if printaut 
%    set(gcf,'PaperPosition',[0 0 24 8])
    eval(['print -djpeg90 ',pridir,pritxt,'portmanteau.jpg'])
end
